Skip to main content

Delete Scrip to Watch List

Request to be POSTed to uri : /NorenWClientAPI/DeleteMultiMWScrips

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
wlname*Name of the Watchlist, for which scrip list is required.
scrips*List of scrips, example format NSE

Example

curl --location 'https://api.kambala.co.in/NorenWClientAPI/DeleteMultiMWScrips' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer dc384ed28e7983afdcc1dd8e0631b3f69b94ff14392daea33fa12661d3d99adf' \
--data 'jData={"uid":"DEMO","wlname":"6","scrips":"NSE|22"}'

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkWatch list update success or failure indication..
request_timeIt will be present only in a successful response.
emsgThis will be present only in case of errors. That is : 1) Invalid Input 2) Session Expired

Sample Success Response :

{
"request_time": "17:24:51 16-01-2026",
"stat": "Ok"
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Invalid Input : Missing uid or wlname or scrips."
}